#!/usr/bin/env python3
import logging
import os
import subprocess
import unittest

from test_archive_cache import *
from test_contents_index import *
from test_desktop_finder import *
from test_extract_app_metadata import *
from test_icon_finder import *
from test_load_deb_file import *


if __name__ == "__main__":
    subprocess.call("./build_test_archive")
    if not os.path.exists("output"):
        os.mkdir("output")
    logging.basicConfig(level=logging.DEBUG, filename="output/run.log",
                        format='%(levelname)s %(message)s', filemode='w')
    unittest.main()
